"use strict";
/**
 * 根据用户传的 env 变量，读取该 env 对应的配置
 */
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require('fs');
const definitions_1 = require("../definitions");
function envLoader(args) {
    args = args;
    if (!args.env) {
        throw new Error('env参数不能为空');
    }
    const obj = new definitions_1.Env(args.env);
    obj.loadFile();
    obj.loadCredential();
    args.$envObj = obj;
}
exports.default = envLoader;
